Bug 97419 - Crash when creating table with wizard
Summary: Crash when creating table with wizard
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.2.0 target:5.1.1
Keywords: haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2016-01-28 18:53 UTC by Julien Nabet
Modified: 2016-10-25 19:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
bt with debug symbols (10.20 KB, text/plain)
2016-01-28 18:53 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nabet 2016-01-28 18:53:45 UTC
Created attachment 122261 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today (+dbgutil), I got a crash when doing:
- create brand new embedded hsqldb file (Create new database/HSQLDB Embedded, Finish, give some name, OK)
- Left pane, select Tables
- Tasks pane, Use Wizard to create Table...
- Category "Business", sample tables "Tasks"
- Select TaskId and put it at "Selected Fields"
- click Finish
=> crash
Comment 1 Julien Nabet 2016-01-28 18:55:44 UTC
With LO Debian package 5.0.5.1, I don't reproduce this=>regression.
Comment 2 Commit Notification 2016-01-28 19:36:26 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=49e1a1a4f5591faaca61559e6492909faf1bc94d

tdf#97419 Need to take SolarMutex here

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Maxim Monastirsky 2016-01-28 19:37:52 UTC
Julien: Would be great if you could test that patch, and give feedback. Thanks.
Comment 4 Julien Nabet 2016-01-28 20:00:16 UTC
It works! Thank you Maxim for your very quick fix! :-)
Comment 5 Commit Notification 2016-02-02 14:44:34 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d6c4c28f75c755df1e1fa7df67eeadba78d66785&h=libreoffice-5-1

tdf#97419 Need to take SolarMutex here

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.